Package com.independentsoft.office.odf.styles

# Class HeaderFooterProperties

java.lang.Object
com.independentsoft.office.odf.styles.HeaderFooterProperties

public class HeaderFooterProperties extends Object
Represents formatting properties for both headers and footers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeaderFooterProperties()`
  Initializes a new instance of the HeaderFooterProperties class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HeaderFooterProperties`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getBackgroundColor()`
  Gets the background color for the header or footer.
  `BackgroundImage`
  `getBackgroundImage()`
  Gets the background image.
  `Border`
  `getBorder()`
  Gets the border for the header or footer.
  `BorderLineWidth`
  `getBorderLineWidth()`
  Gets the widths of borders.
  `Border`
  `getBottomBorder()`
  Gets the bottom border for the header or footer.
  `BorderLineWidth`
  `getBottomBorderLineWidth()`
  Gets the bottom widths of borders.
  `Size`
  `getBottomMargin()`
  Gets the bottom margin.
  `Size`
  `getBottomPadding()`
  Gets the bottom padding.
  `Size`
  `getHeight()`
  Gets the height of an header or footer.
  `Border`
  `getLeftBorder()`
  Gets the left border for the header or footer.
  `BorderLineWidth`
  `getLeftBorderLineWidth()`
  Gets the left widths of borders.
  `Size`
  `getLeftMargin()`
  Gets the left margin.
  `Size`
  `getLeftPadding()`
  Gets the left padding.
  `Size`
  `getMargin()`
  Gets the margin.
  `Size`
  `getMinHeight()`
  Gets the minimum height for a header or footer.
  `Size`
  `getPadding()`
  Gets the padding.
  `Border`
  `getRightBorder()`
  Gets the right border for the header or footer.
  `BorderLineWidth`
  `getRightBorderLineWidth()`
  Gets the right widths of borders.
  `Size`
  `getRightMargin()`
  Gets the right margin.
  `Size`
  `getRightPadding()`
  Gets the right padding.
  `String`
  `getShadow()`
  Specifies if enables or disables a three-dimensional shadow for a three-dimensional object.
  `Border`
  `getTopBorder()`
  Gets the top border for the header or footer.
  `BorderLineWidth`
  `getTopBorderLineWidth()`
  Gets the top widths of borders.
  `Size`
  `getTopMargin()`
  Gets the top margin.
  `Size`
  `getTopPadding()`
  Gets the top padding.
  `boolean`
  `isDynamicSpacing()`
  Specifies whether the header or footer grows into the space between the page body and the header or footer before the height of the page body becomes smaller.
  `void`
  `setBackgroundColor​(String backgroundColor)`
  Sets the background color for the header or footer.
  `void`
  `setBackgroundImage​(BackgroundImage backgroundImage)`
  Sets the background image.
  `void`
  `setBorder​(Border border)`
  Sets the border for the header or footer.
  `void`
  `setBorderLineWidth​(BorderLineWidth borderLineWidth)`
  Sets the widths of borders.
  `void`
  `setBottomBorder​(Border bottomBorder)`
  Sets the bottom border for the header or footer.
  `void`
  `setBottomBorderLineWidth​(BorderLineWidth bottomBorderLineWidth)`
  Sets the bottom widths of borders.
  `void`
  `setBottomMargin​(Size bottomMargin)`
  Sets the bottom margin.
  `void`
  `setBottomPadding​(Size bottomPadding)`
  Sets the bottom padding.
  `void`
  `setDynamicSpacing​(boolean dynamicSpacing)`
  Specifies whether the header or footer grows into the space between the page body and the header or footer before the height of the page body becomes smaller.
  `void`
  `setHeight​(Size height)`
  Sets the height of an header or footer.
  `void`
  `setLeftBorder​(Border leftBorder)`
  Sets the left border for the header or footer.
  `void`
  `setLeftBorderLineWidth​(BorderLineWidth leftBorderLineWidth)`
  Sets the left widths of borders.
  `void`
  `setLeftMargin​(Size leftMargin)`
  Sets the left margin.
  `void`
  `setLeftPadding​(Size leftPadding)`
  Sets the left padding.
  `void`
  `setMargin​(Size margin)`
  Sets the margin.
  `void`
  `setMinHeight​(Size minHeight)`
  Sets the minimum height for a header or footer.
  `void`
  `setPadding​(Size padding)`
  Sets the padding.
  `void`
  `setRightBorder​(Border rightBorder)`
  Sets the right border for the header or footer.
  `void`
  `setRightBorderLineWidth​(BorderLineWidth rightBorderLineWidth)`
  Sets the right widths of borders.
  `void`
  `setRightMargin​(Size rightMargin)`
  Sets the right margin.
  `void`
  `setRightPadding​(Size rightPadding)`
  Sets the right padding.
  `void`
  `setShadow​(String shadow)`
  Specifies if enables or disables a three-dimensional shadow for a three-dimensional object.
  `void`
  `setTopBorder​(Border topBorder)`
  Sets the top border for the header or footer.
  `void`
  `setTopBorderLineWidth​(BorderLineWidth topBorderLineWidth)`
  Sets the top widths of borders.
  `void`
  `setTopMargin​(Size topMargin)`
  Sets the top margin.
  `void`
  `setTopPadding​(Size topPadding)`
  Sets the top padding.
  `String`
  `toString()`
  Converts the value of the current HeaderFooterProperties object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HeaderFooterProperties

    public HeaderFooterProperties()
    Initializes a new instance of the HeaderFooterProperties class.

- ## Method Details

  - ### clone

    public HeaderFooterProperties clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current HeaderFooterProperties object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getHeight

    public Size getHeight()
    Gets the height of an header or footer.
    Returns:
      the height

  - ### setHeight

    public void setHeight​(Size height)
    Sets the height of an header or footer.
    Parameters:
      `height` - the new height

  - ### getMinHeight

    public Size getMinHeight()
    Gets the minimum height for a header or footer.
    Returns:
      the min height

  - ### setMinHeight

    public void setMinHeight​(Size minHeight)
    Sets the minimum height for a header or footer.
    Parameters:
      `minHeight` - the new min height

  - ### isDynamicSpacing

    public boolean isDynamicSpacing()
    Specifies whether the header or footer grows into the space between the page body and the header or footer before the height of the page body becomes smaller.
    Returns:
      true, if is dynamic spacing

  - ### setDynamicSpacing

    public void setDynamicSpacing​(boolean dynamicSpacing)
    Specifies whether the header or footer grows into the space between the page body and the header or footer before the height of the page body becomes smaller.
    Parameters:
      `dynamicSpacing` - the new dynamic spacing

  - ### getMargin

    public Size getMargin()
    Gets the margin.
    Returns:
      the margin

  - ### setMargin

    public void setMargin​(Size margin)
    Sets the margin.
    Parameters:
      `margin` - the new margin

  - ### getLeftMargin

    public Size getLeftMargin()
    Gets the left margin.
    Returns:
      the left margin

  - ### setLeftMargin

    public void setLeftMargin​(Size leftMargin)
    Sets the left margin.
    Parameters:
      `leftMargin` - the new left margin

  - ### getRightMargin

    public Size getRightMargin()
    Gets the right margin.
    Returns:
      the right margin

  - ### setRightMargin

    public void setRightMargin​(Size rightMargin)
    Sets the right margin.
    Parameters:
      `rightMargin` - the new right margin

  - ### getTopMargin

    public Size getTopMargin()
    Gets the top margin.
    Returns:
      the top margin

  - ### setTopMargin

    public void setTopMargin​(Size topMargin)
    Sets the top margin.
    Parameters:
      `topMargin` - the new top margin

  - ### getBottomMargin

    public Size getBottomMargin()
    Gets the bottom margin.
    Returns:
      the bottom margin

  - ### setBottomMargin

    public void setBottomMargin​(Size bottomMargin)
    Sets the bottom margin.
    Parameters:
      `bottomMargin` - the new bottom margin

  - ### getBorder

    public Border getBorder()
    Gets the border for the header or footer.
    Returns:
      the border

  - ### setBorder

    public void setBorder​(Border border)
    Sets the border for the header or footer.
    Parameters:
      `border` - the new border

  - ### getLeftBorder

    public Border getLeftBorder()
    Gets the left border for the header or footer.
    Returns:
      the left border

  - ### setLeftBorder

    public void setLeftBorder​(Border leftBorder)
    Sets the left border for the header or footer.
    Parameters:
      `leftBorder` - the new left border

  - ### getRightBorder

    public Border getRightBorder()
    Gets the right border for the header or footer.
    Returns:
      the right border

  - ### setRightBorder

    public void setRightBorder​(Border rightBorder)
    Sets the right border for the header or footer.
    Parameters:
      `rightBorder` - the new right border

  - ### getTopBorder

    public Border getTopBorder()
    Gets the top border for the header or footer.
    Returns:
      the top border

  - ### setTopBorder

    public void setTopBorder​(Border topBorder)
    Sets the top border for the header or footer.
    Parameters:
      `topBorder` - the new top border

  - ### getBottomBorder

    public Border getBottomBorder()
    Gets the bottom border for the header or footer.
    Returns:
      the bottom border

  - ### setBottomBorder

    public void setBottomBorder​(Border bottomBorder)
    Sets the bottom border for the header or footer.
    Parameters:
      `bottomBorder` - the new bottom border

  - ### getBorderLineWidth

    public BorderLineWidth getBorderLineWidth()
    Gets the widths of borders.
    Returns:
      the border line width

  - ### setBorderLineWidth

    public void setBorderLineWidth​(BorderLineWidth borderLineWidth)
    Sets the widths of borders.
    Parameters:
      `borderLineWidth` - the new border line width

  - ### getLeftBorderLineWidth

    public BorderLineWidth getLeftBorderLineWidth()
    Gets the left widths of borders.
    Returns:
      the left border line width

  - ### setLeftBorderLineWidth

    public void setLeftBorderLineWidth​(BorderLineWidth leftBorderLineWidth)
    Sets the left widths of borders.
    Parameters:
      `leftBorderLineWidth` - the new left border line width

  - ### getRightBorderLineWidth

    public BorderLineWidth getRightBorderLineWidth()
    Gets the right widths of borders.
    Returns:
      the right border line width

  - ### setRightBorderLineWidth

    public void setRightBorderLineWidth​(BorderLineWidth rightBorderLineWidth)
    Sets the right widths of borders.
    Parameters:
      `rightBorderLineWidth` - the new right border line width

  - ### getTopBorderLineWidth

    public BorderLineWidth getTopBorderLineWidth()
    Gets the top widths of borders.
    Returns:
      the top border line width

  - ### setTopBorderLineWidth

    public void setTopBorderLineWidth​(BorderLineWidth topBorderLineWidth)
    Sets the top widths of borders.
    Parameters:
      `topBorderLineWidth` - the new top border line width

  - ### getBottomBorderLineWidth

    public BorderLineWidth getBottomBorderLineWidth()
    Gets the bottom widths of borders.
    Returns:
      the bottom border line width

  - ### setBottomBorderLineWidth

    public void setBottomBorderLineWidth​(BorderLineWidth bottomBorderLineWidth)
    Sets the bottom widths of borders.
    Parameters:
      `bottomBorderLineWidth` - the new bottom border line width

  - ### getPadding

    public Size getPadding()
    Gets the padding.
    Returns:
      the padding

  - ### setPadding

    public void setPadding​(Size padding)
    Sets the padding.
    Parameters:
      `padding` - the new padding

  - ### getLeftPadding

    public Size getLeftPadding()
    Gets the left padding.
    Returns:
      the left padding

  - ### setLeftPadding

    public void setLeftPadding​(Size leftPadding)
    Sets the left padding.
    Parameters:
      `leftPadding` - the new left padding

  - ### getRightPadding

    public Size getRightPadding()
    Gets the right padding.
    Returns:
      the right padding

  - ### setRightPadding

    public void setRightPadding​(Size rightPadding)
    Sets the right padding.
    Parameters:
      `rightPadding` - the new right padding

  - ### getTopPadding

    public Size getTopPadding()
    Gets the top padding.
    Returns:
      the top padding

  - ### setTopPadding

    public void setTopPadding​(Size topPadding)
    Sets the top padding.
    Parameters:
      `topPadding` - the new top padding

  - ### getBottomPadding

    public Size getBottomPadding()
    Gets the bottom padding.
    Returns:
      the bottom padding

  - ### setBottomPadding

    public void setBottomPadding​(Size bottomPadding)
    Sets the bottom padding.
    Parameters:
      `bottomPadding` - the new bottom padding

  - ### getBackgroundColor

    public String getBackgroundColor()
    Gets the background color for the header or footer.
    Returns:
      the background color

  - ### setBackgroundColor

    public void setBackgroundColor​(String backgroundColor)
    Sets the background color for the header or footer.
    Parameters:
      `backgroundColor` - the new background color

  - ### getShadow

    public String getShadow()
    Specifies if enables or disables a three-dimensional shadow for a three-dimensional object.
    Returns:
      the shadow

  - ### setShadow

    public void setShadow​(String shadow)
    Specifies if enables or disables a three-dimensional shadow for a three-dimensional object.
    Parameters:
      `shadow` - the new shadow

  - ### getBackgroundImage

    public BackgroundImage getBackgroundImage()
    Gets the background image.
    Returns:
      the background image

  - ### setBackgroundImage

    public void setBackgroundImage​(BackgroundImage backgroundImage)
    Sets the background image.
    Parameters:
      `backgroundImage` - the new background image